1.0
1.0
get /v1/container-registries/{registry_id}
Description
get registry
State ACTIVE (SUPPORTED)
| Version | Supported Until |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ContainerRegistryShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/container-registries/{registry_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
{
"registry": {
"account_id": "617b3d0e90c24a5fa1f65a3824861354",
"bucket_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"bucket_name": "4663afe94e7c4a2099968d90064ce218.scr.{region}.zgpsrpup",
"bucket_usage": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "sample",
"private_acl_enabled": true,
"private_acl_resources": [
{
"resource_id": "558496f6c49d43459e61e191fb3c08fe",
"resource_ips": "[]",
"resource_name": "sample",
"resource_type": "virtualServer"
}
],
"private_domain": "sample.scr.private.{region}.{environment}.samsungsdscloud.com",
"public_acl_enabled": true,
"public_acl_resources": [
{
"resource_id": "558496f6c49d43459e61e191fb3c08fe",
"resource_ips": "[]",
"resource_name": "sample",
"resource_type": "virtualServer"
}
],
"public_domain": "sample.scr.{region}.{environment}.samsungsdscloud.com",
"public_endpoint_enabled": true,
"public_visible_enabled": true,
"state": "Running"
}
}